Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226103

Summary: Merge Review: log4j
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Alexander Kurtakov <akurtako>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: akurtako, sochotni, viveklak
Target Milestone: ---Flags: akurtako: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-28 08:13:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 19:34:52 UTC
Fedora Merge Review: log4j

http://cvs.fedora.redhat.com/viewcvs/devel/log4j/
Initial Owner: vivekl@redhat.com

Comment 1 Alexander Kurtakov 2010-05-26 17:12:37 UTC
Stanislav, 
I would like if we can finish this review.

Comment 2 Stanislav Ochotnicky 2010-05-27 09:21:27 UTC
Correct, I should have checked if there are any merge reviews pending when I was taking over log4j...

Comment 3 Alexander Kurtakov 2010-05-27 20:34:43 UTC
Review:

FIXIT: rpmlint must be run on every package. Output:
log4j.spec:358: W: macro-in-%changelog %{name}


OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other
packages. 
OK: All filenames in rpm packages must be valid UTF-8.

FIXIT: Maven depmap and poms are not installed
FIXIT: Javadoc package is missing Requires:       jpackage-utils

Comment 4 Stanislav Ochotnicky 2010-05-28 08:06:02 UTC
Fixed those problems in log4j-1.2.16-2 in rawhide

Comment 5 Alexander Kurtakov 2010-05-28 08:10:05 UTC
Thanks,

Package is APPROVED.